Skip to content

Force users to go offline

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Force users to go offline through user ID and App ID lists, and you can choose to specify user ID types, etc.

Method Name

ManagementClient.kickUsers

Request Parameters

NameTypeRequiredDefault ValueDescriptionSample Value
appIdsstring[]Yes-APP ID List Array length limit: 50.["62188e71cxxxx3075289c580"]
userIdstringyes-user ID
options<a KickUsersOptionsDtono-optional parameter{"userIdType":"user_id"}

Example Code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Init ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.kickUsers({
    // Replace User ID
    userId: "6229ffaxxxxxxxxcade3e3d9",
    // Replace App ID
    appIds: ["62188e71cxxxx3075289c580"],
    options: {
      userIdType: Models.KickUsersOptionsDto.userIdType.USER_ID,
    },
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (no return for successful requests). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

KickUsersOptionsDto

| Name | Type |

Is this field required?
|
Description

Agent infrastructure for identity, memory, and web action.